////////////////////////////////////////////////////////////////////// 
// fugue-cc/ClusterInfo.cpp 
// (c) 2000-2003 Goncalo Abecasis
// 
// This file is distributed as part of the FUGUE source code package   
// and may not be redistributed in any form, without prior written    
// permission from the author. Permission is granted for you to       
// modify this file for your own personal use, but modified versions  
// must retain this copyright notice and must not be distributed.     
// 
// Permission is granted for you to use this file to compile FUGUE.    
// 
// All computer programs have bugs. Use this file at your own risk.   
// 
// Tuesday July 06, 2004
// 
 
#include "ClusterInfo.h"
#include "Pedigree.h"

ClusterInfo::ClusterInfo()
   { markers = 0; }

ClusterInfo::ClusterInfo(int nMarkers)
   { SetMarkerCount(nMarkers); }

void ClusterInfo::SetMarkerCount(int count)
   {
   alleleCounts.Dimension(count);
   alleleCounts.Set(1);

   markerIds.Dimension(count);
   markerIds.Zero();

   markers = count;
   }

ClusterInfo & ClusterInfo::operator = (ClusterInfo & rhs)
   {
   alleleCounts = rhs.alleleCounts;
   markerIds = rhs.markerIds;
   markers = rhs.markers;

   return *this;
   }

void ClusterInfo::UpdateAlleleCounts()
   {
   for (int i = 0; i < markers; i++)
      alleleCounts[i] = Pedigree::GetMarkerInfo(markerIds[i])->freq.Length() - 1;
   }

 
